@import url("https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,500;0,600;0,700;0,800;0,900;1,500;1,600;1,700;1,800;1,900&family=Source+Sans+Pro:wght@400;600&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Nunito:ital,wght@0,500;0,600;0,700;0,800;0,900;1,500;1,600;1,700;1,800;1,900&family=Oswald:wght@700&display=swap");

$main-white: #ffffff;
$font-source-sans-pro: "Source Sans Pro", sans-serif;
$font-oswald: "Oswald", sans-serif;
$main-black: #464547;
$main-grey: #666666;

@keyframes logoAnimation {
  0% {
    transform: scaleX(1) scale(1);
  }
  50% {
    transform: scaleX(-1) scale(1.5);
  }
  100% {
    transform: scaleX(1) scale(1);
  }
}

@keyframes readMoreRotate {
  0% {
    transform: rotate(0deg);
  }
  30% {
    transform: rotate(10deg);
  }
  70% {
    transform: rotate(10deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@keyframes triangleAnimation {
  0% {
    fill: white;
  }
  50% {
    fill: #39c2d7;
  }
  100% {
    fill: white;
  }
}

@keyframes elipseAnimation {
  0% {
    fill: #39c2d7;
    transform: scale(1);
  }
  50% {
    fill: white;
    transform: scale(1.1);
  }
  100% {
    fill: #39c2d7;
    transform: scale(1);
  }
}

html {
  body {
    margin: 0;
    padding: 0;
    .container {
      width: 900px;
      margin: 0 auto;
    }

    .main-bg {
      background-image: url("img/bg.svg");
      height: 822px;
      background-position: right;
      background-repeat: no-repeat;
      background-size: 100% auto;

      .project {
        float: left;
        font-family: $font-source-sans-pro;
        font-weight: 600;
        font-size: 20px;
        line-height: 16px;
        letter-spacing: 0.1em;
        text-transform: uppercase;
        color: $main-white;
        cursor: pointer;
      }
      nav {
        margin: 0 auto;

        ul {
          list-style-type: none;
          margin: 0;
          padding: 0;
          overflow: hidden;

          li {
            float: left;

            a {
              font-family: $font-source-sans-pro;
              font-style: normal;
              font-weight: 400;
              font-size: 14px;
              line-height: 16px;
              margin-right: 32px;
              letter-spacing: 0.2em;
              text-transform: uppercase;
              text-decoration: none;
              color: $main-white;
              padding-bottom: 2px;

              :hover {
                outline: 2px solid white !important;
              }
            }
          }
        }
      }
      .mobile_menu {
        display: none;
      }
    }

    header {
      display: flex;
      align-items: center;
      padding: 45px 0;
      margin-bottom: 200px !important;
    }

    .main-logo {
      margin: 0 auto;
      text-align: center;
      max-width: 430px;

      .logo {
        animation-name: logoAnimation;
        animation-duration: 4s;
        animation-iteration-count: infinite;
      }

      h1.main-header {
        max-width: 370px;
        margin: 0 auto;
        font-family: "Oswald";
        font-weight: 700;
        font-size: 48px;
        line-height: 64px;
        color: $main-white;
        margin-bottom: 40px;
      }

      .main-logo-description {
        font-family: $font-source-sans-pro;
        font-weight: 400;
        font-size: 24px;
        line-height: 32px;
        color: rgba(255, 255, 255, 0.7);
      }
    }
  }

  .article {
    background-color: #eeeeee;
    padding-top: 66px;
    padding-bottom: 100px;

    .article-header {
      width: 670px;
      font-family: $font-oswald;
      font-weight: 700;
      font-size: 48px;
      line-height: 64px;
      color: var(--main-black);
      text-align: center;
      margin: 0 auto 39px;
    }

    .article-sub-header {
      font-family: $font-source-sans-pro;
      width: 420px;
      font-weight: 400;
      font-size: 24px;
      line-height: 32px;
      color: var(--main-grey);
      text-align: center;
      margin: 0 auto 45px;
    }

    .article-text {
      display: flex;
      justify-content: space-between;
      margin-bottom: 50px;

      p {
        width: 410px;
        font-family: $font-source-sans-pro;
        font-weight: 400;
        line-height: 22px;
        color: var(--main-grey);
      }
    }
    .btn-holder {
      display: flex;
      justify-content: center;
      align-items: center;

      .btn-read-more {
        transform-origin: 0% 100%;
        animation-name: readMoreRotate;
        animation-duration: 2s;
        animation-iteration-count: infinite;
        font-family: $font-oswald;
        font-weight: 400;
        font-size: 14px;
        line-height: 26px;
        letter-spacing: 0.1em;
        color: $main-white;
        background: #55c2d8;
        border-radius: 18px;
        margin: 0 auto;
        text-align: center;
        padding: 6px 18px;
        border: 0;
        outline: 0;
        cursor: pointer;
      }
    }
  }

  .video {
    background-image: url(img/video.svg);
    height: 695px;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;

    .video-article {
      width: 373px;
      margin: 0 auto;
      padding-top: 80px;
      font-size: 48px;
      line-height: 64px;
      text-align: center;
      color: #ffffff;
    }

    .play {
      align-items: center;
      position: relative;
      display: flex;
      justify-content: center;
      padding-top: 65px;
      margin-bottom: 55px;

      .triangle {
        animation-name: triangleAnimation;
        animation-duration: 4s;
        animation-iteration-count: infinite;
        position: absolute;
        width: 53px;
        height: 53px;
        margin-left: 10px;
      }
      .elipse {
        animation-name: elipseAnimation;
        animation-duration: 4s;
        animation-iteration-count: infinite;
        fill: #39c2d7;
      }
    }

    .video-disc {
      margin: 0 auto;
      width: 351px;
      font-family: $font-source-sans-pro;
      font-weight: 400;
      font-size: 24px;
      line-height: 32px;
      text-align: center;
      color: #ffffff;
    }
  }

  footer {
    padding: 40px 0 80px;
    display: flex;
    justify-content: space-between;
    background-color: #464547;

    .footer-logo-section {
      display: flex;
      justify-content: space-between;

      .logo-2 {
        margin-right: 80px;

        .foot-img {
          display: flex;
          align-items: center;

          img {
            margin-right: 15px;
            width: 20px;
            height: 20px;
            display: flex;
          }

          .foot-proj {
            font-family: "Source Sans Pro";
            font-weight: 400;
            font-size: 18px;
            line-height: 16px;
            letter-spacing: 0.2em;
            text-transform: uppercase;
            color: #ffffff;
          }
        }
      }
      .adress {
        margin-bottom: 27px;
        width: 137px;
        font-family: "Source Sans Pro";
        font-weight: 400;
        line-height: 19px;
        text-decoration: none;
        color: rgba(255, 255, 255, 0.4);
      }
    }
    .footer-ceapbord {
      display: flex;
      align-items: flex-end;

      .corp {
        font-family: "Source Sans Pro";
        font-weight: 400;
        line-height: 19px;
        color: rgba(255, 255, 255, 0.4);
      }
    }
  }
}

@media (max-width: 1110px) {
  html {
    body {
      .main-bg {
        background-size: auto;

        .container {
          width: 330px;
          justify-content: space-between;

          .mobile_menu {
            position: relative;
            display: flex;
            justify-content: center;
            align-items: center;

            i {
              color: white;
            }
          }
        }
      }
      .article {
        display: none;
      }

      .video {
        display: none;
      }

      footer {
        display: none;
      }

      nav {
        display: none;
      }
    }
  }
}
